> For the complete documentation index, see [llms.txt](https://docs.wisej.com/api/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.wisej.com/api/wisej.web/enumerations/wisej.web.pictureboxsizemode.md).

# PictureBoxSizeMode

Namespace: **Wisej.Web**

Assembly: **Wisej.Framework** (4.0.0.0)

Specifies how an image is positioned within a [PictureBox](/api/wisej.web/content/wisej.web.picturebox.md).

{% tabs %}
{% tab title="C#" %}

```csharp
public enum PictureBoxSizeMode : Enum
```

{% endtab %}

{% tab title="VB.NET" %}

```visual-basic
Public Enum PictureBoxSizeMode As [Enum]
```

{% endtab %}
{% endtabs %}

## Fields

| Name             | Description                                                                                                                                                                                                                                                                                                                                                                 |
| ---------------- | --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| **AutoSize**     | The [PictureBox](/api/wisej.web/content/wisej.web.picturebox.md) is sized equal to the size of the image that it contains.                                                                                                                                                                                                                                                  |
| **CenterImage**  | The image is displayed in the center if the [PictureBox](/api/wisej.web/content/wisej.web.picturebox.md) is larger than the image. If the image is larger than the [PictureBox](/api/wisej.web/content/wisej.web.picturebox.md), the picture is placed in the center of the [PictureBox](/api/wisej.web/content/wisej.web.picturebox.md) and the outside edges are clipped. |
| **Cover**        | The image is resized to cover the entire container, even if it has to stretch the image or cut a little bit off one of the edges.                                                                                                                                                                                                                                           |
| **Normal**       | The image is placed in the upper-left corner of the [PictureBox](/api/wisej.web/content/wisej.web.picturebox.md). The image is clipped if it is larger than the [PictureBox](/api/wisej.web/content/wisej.web.picturebox.md) it is contained in.                                                                                                                            |
| **StretchImage** | The image within the [PictureBox](/api/wisej.web/content/wisej.web.picturebox.md) is stretched or shrunk to fit the size of the [PictureBox](/api/wisej.web/content/wisej.web.picturebox.md).                                                                                                                                                                               |
| **Zoom**         | The size of the image is increased or decreased maintaining the size ratio.                                                                                                                                                                                                                                                                                                 |

## Used By

| Name                                                                                                                                    | Description                                                                                               |
| --------------------------------------------------------------------------------------------------------------------------------------- | --------------------------------------------------------------------------------------------------------- |
| [PictureBox.SizeMode](/api/wisej.web/content/wisej.web.picturebox.md#sizemode)                                                          | Indicates how the image is displayed.                                                                     |
| [PictureBoxExtensions.SizeMode](/api/wisej.web.markup/extensions/wisej.web.markup.pictureboxextensions.md#sizemode-picturebox-sizemode) | Sets the SizeMode property of the specified [PictureBox](/api/wisej.web/content/wisej.web.picturebox.md). |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.wisej.com/api/wisej.web/enumerations/wisej.web.pictureboxsizemode.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
